<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:background="@drawable/shadow"
    android:orientation="vertical" >

    <!-- layout title -->

    <LinearLayout
        android:layout_width="350dp"
        android:layout_height="50dp"
        android:layout_gravity="center"
        android:gravity="center"
        android:background="@color/themeprimary"
        android:orientation="vertical" >

        <TableRow
            android:layout_height="match_parent"
            android:layout_width="match_parent">

            <ImageView
                android:layout_height="50dp"
                android:layout_width="50dp"
                android:layout_gravity="center"
                android:layout_margin="5dp"
                android:src="@mipmap/appicon"/>
            <TextView
                android:id="@+id/txt_dialog_title"
                style="@style/SimpleTextblack"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center_vertical"
                android:layout_marginLeft="20dp"
                android:text="@string/app_name"
                android:background="@color/themeprimary"
                android:textStyle="bold"
                android:textColor="@android:color/white"
                android:textAppearance="?android:attr/textAppearance"/>

        </TableRow>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/layout_alert_content"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:minHeight="100dp"
        android:gravity="center_vertical"
        android:padding="8dp" >

        <TextView
            android:id="@+id/txt_alert_message"
            style="@style/SimpleTextblack"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:textAppearance="?android:attr/textAppearance"
            android:textColor="@color/adicolor"
            android:textSize="18sp"/>
    </LinearLayout>

    <!-- layout dialog buttons -->

    <LinearLayout
        android:id="@+id/layout_dialog_buttons"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="5dp"
       
        android:orientation="horizontal" >

        <Button
            android:id="@+id/btn_ok"
            style="@style/ButtonText"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/button_frag"
            android:gravity="center"
            android:text="@string/ok"
            android:textAppearance="?android:attr/textAppearanceButton"
            android:textColor="@android:color/white"
            android:textStyle="bold" />
    </LinearLayout>

</LinearLayout>